Authorization Required
Newsletter Subscribers
Collect & Sync User Subscriptions
The Newsletter Subscribers API is designed to help developers enhance user experience and retention. By calling this API, you can programmatically subscribe your users to your newsletter directly from your mobile apps or custom web frontends, with their names and emails. This allows you to collect subscriber emails, build a dedicated audience, and easily follow up with them. Your full subscriber list is instantly visible, searchable, and manageable from your developer account dashboard.
Endpoint
POST
https://space.veerexa.com/api/v1/subscribersParameters
| Name | Type | Status | Description |
|---|---|---|---|
| Body | Required | The email address of the subscriber. | |
| first_name | Body | Optional | First name of the subscriber. |
| last_name | Body | Optional | Last name of the subscriber. |
Request Snippet
curl -X POST "https://space.veerexa.com/api/v1/subscribers" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"email": "user@example.com"}'Response Sample
{
"message": "Successfully subscribed user to newsletter!",
"subscriber": {
"email": "user@example.com",
"first_name": "John",
"last_name": "Doe",
"created_at": "2026-06-08T07:00:00.000Z"
}
}